PR_FUTEX_HASH_GET_SLOTS(2const)

NAME
PR_FUTEX_HASH_GET_SLOTS - return the size of the private hash

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_FUTEX_HASH, PR_FUTEX_HASH_GET_SLOTS);

DESCRIPTION
Return the current size of the private hash.

RETURN VALUE
A value of 0 means that a private hash has not been allocated and the global hash is in use.

A value >0 specifies the size of the private hash.

On error, -1 is returned, and errno is set to indicate the error.

STANDARDS
Linux.

HISTORY
Linux 6.17.

SEE ALSO
prctl(2), PR_FUTEX_HASH(2const)